# Uses of Class
net.shibboleth.idp.attribute.AttributeDecodingException

Packages that use AttributeDecodingException
Package
Description
net.shibboleth.idp.attribute.transcoding
APIs for transcoding of attributes.
net.shibboleth.idp.saml.attribute.impl
Miscellaneous implementation classes related to SAML Attributes.
net.shibboleth.idp.saml.attribute.transcoding
Base classes for SAML `AttributeTranscoder` classes.
net.shibboleth.idp.saml.saml2.nameid.transcoding
API classes for SAML 2.0 NameID decoding classes.

## Uses of AttributeDecodingException in net.shibboleth.idp.attribute.transcoding

Methods in net.shibboleth.idp.attribute.transcoding that throw AttributeDecodingException
Modifier and Type
Method
Description
`IdPAttribute`
AbstractAttributeTranscoder.`decode(ProfileRequestContext profileRequestContext, T input, TranscodingRule rule)`
Decode the supplied object into a protocol-neutral representation.
`IdPAttribute`
AttributeTranscoder.`decode(ProfileRequestContext profileRequestContext, T input, TranscodingRule rule)`
Decode the supplied object into a protocol-neutral representation.
`protected abstract IdPAttribute`
AbstractAttributeTranscoder.`doDecode(ProfileRequestContext profileRequestContext, T input, TranscodingRule rule)`
Decode the supplied object into a protocol-neutral representation.

## Uses of AttributeDecodingException in net.shibboleth.idp.saml.attribute.impl

Methods in net.shibboleth.idp.saml.attribute.impl that throw AttributeDecodingException
Modifier and Type
Method
Description
`private <T> void`
AttributeMappingNodeProcessor.`decodeAttribute(Collection<TranscodingRule> rules, T input, Multimap<String,IdPAttribute> results)`
Access the registry of transcoding rules to decode the input object.

## Uses of AttributeDecodingException in net.shibboleth.idp.saml.attribute.transcoding

Methods in net.shibboleth.idp.saml.attribute.transcoding that throw AttributeDecodingException
Modifier and Type
Method
Description
`protected IdPAttribute`
AbstractSAML1AttributeTranscoder.`buildIdPAttribute(ProfileRequestContext profileRequestContext, AttributeDesignator attribute, TranscodingRule rule, List<IdPAttributeValue> attributeValues)`
Builds an `IdPAttribute` from the given values.
`protected IdPAttribute`
AbstractSAML2AttributeTranscoder.`buildIdPAttribute(ProfileRequestContext profileRequestContext, Attribute attribute, TranscodingRule rule, List<IdPAttributeValue> attributeValues)`
Builds an `IdPAttribute` from the given values.
`protected abstract IdPAttribute`
AbstractSAMLAttributeTranscoder.`buildIdPAttribute(ProfileRequestContext profileRequestContext, AttributeType attribute, TranscodingRule rule, List<IdPAttributeValue> attributeValues)`
Builds an `IdPAttribute` from the given values.
`IdPAttribute`
AbstractSAMLAttributeTranscoder.`doDecode(ProfileRequestContext profileRequestContext, AttributeType input, TranscodingRule rule)`
Decode the supplied object into a protocol-neutral representation.

## Uses of AttributeDecodingException in net.shibboleth.idp.saml.saml2.nameid.transcoding

Methods in net.shibboleth.idp.saml.saml2.nameid.transcoding that throw AttributeDecodingException
Modifier and Type
Method
Description
`protected IdPAttribute`
AbstractSAML2NameIDTranscoder.`buildIdPAttribute(ProfileRequestContext profileRequestContext, NameID nameID, TranscodingRule rule, List<IdPAttributeValue> attributeValues)`
Builds an `IdPAttribute` from the given values.